Method: projects.locations.brands.channelConfigs.promote

Promotes the specified channel config.

HTTP request

POST https://foodorderingaiagent.googleapis.com/v1/{name=projects/*/locations/*/brands/*/channelConfigs/*}:promote

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the channel config to promote. Format: projects/{project}/locations/{location}/brands/{brand}/channelConfigs/{channelConfig}

Request body

The request body contains data with the following structure:

JSON representation
{
  "destinationBrand": string
}
Fields
destinationBrand

string

Optional. The destination brand to promote the channel config to. Format: projects/{project}/locations/{location}/brands/{brand}

The state of the channel config specified in name will be flipped to PROMOTED.

If destinationBrand is provided and is different from the brand in name, a copy of the channel config will be created in destinationBrand.

Response body

Response message for MenuService.PromoteChannelConfig.

If successful, the response body contains data with the following structure:

JSON representation
{
  "channelConfig": {
    object (ChannelConfig)
  }
}
Fields
channelConfig

object (ChannelConfig)

The promoted channel config.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.